package com.library.model;

import com.google.gson.annotations.SerializedName;

import java.sql.Timestamp;

/**
 * 会员表
 *
 * @author Administrator
 */

public class UserModel {
    private int id;
    private String openid_wx;//微信openid
    private double balance;//会员余额
    private String nickname;//昵称
    private String phone;//手机
    private Timestamp time;//注册时间
    private String password;//登录密码
    private String user_image;//头像
    private int user_state;//是否为超级会员（是：8088，否0）
    private String vpay_name;//vpay的名称


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOpenid_wx() {
        return openid_wx;
    }

    public void setOpenid_wx(String openid_wx) {
        this.openid_wx = openid_wx;
    }

    public double getBalance() {
        return balance;
    }

    public void setBalance(double balance) {
        this.balance = balance;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Timestamp getTime() {
        return time;
    }

    public void setTime(Timestamp time) {
        this.time = time;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUser_image() {
        return user_image;
    }

    public void setUser_image(String user_image) {
        this.user_image = user_image;
    }

    public String getVpay_name() {
        return vpay_name;
    }

    public void setVpay_name(String vpay_name) {
        this.vpay_name = vpay_name;
    }

    public int getUser_state() {
        return user_state;
    }

    public void setUser_state(int user_state) {
        this.user_state = user_state;
    }
}
